=== requirements.txt ===
future
gitdb==0.6.4
gitpython==1.0.2
odfpy==1.3.4
pyyaml
numpy
scipy
setuptools
six
jinja2>=2.10

tox
pytest
pytest-cov
flake8
xmldiff==2.4
