=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#
# Debian specific makefile for rmtoo
# Open Source Requirements Management Tool
#

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp  
	dh_testdir

	# Add here commands to compile the package.
	. ./setenv.sh && $(MAKE)
	#docbook-to-man debian/rmtoo.sgml > rmtoo.1

	touch $@

clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/rmtoo.
	$(MAKE) DESTDIR=$(CURDIR)/debian/rmtoo install


# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs

	mkdir -p debian/rmtoo/usr/share/doc/rmtoo/requirements
	install doc/requirements/*.req debian/rmtoo/usr/share/doc/rmtoo/requirements

	mkdir -p debian/rmtoo/usr/share/doc/rmtoo/html
	install artifacts/html/*.html debian/rmtoo/usr/share/doc/rmtoo/html

	mkdir -p debian/rmtoo/usr/share/doc/rmtoo/contrib
	install --mode=644 contrib/gnuplot_stats_reqs_cnt.inc debian/rmtoo/usr/share/doc/rmtoo/contrib
	install --mode=644 contrib/gnuplot_stats_burndown.inc debian/rmtoo/usr/share/doc/rmtoo/contrib
	install --mode=644 contrib/gnuplot_stats_sprint_burndown.inc debian/rmtoo/usr/share/doc/rmtoo/contrib

	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
	dh_installemacsen

	mkdir -p debian/rmtoo/usr/share/emacs/site-lisp/rmtoo
	install --mode=644 contrib/req-mode.el debian/rmtoo/usr/share/emacs/site-lisp/rmtoo

#	dh_installpam
#	dh_installmime
	dh_pycentral
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
binary-arch: build install
# We have nothing to do by default.

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
